Subject: bug#28253: closed (Re: [bug#28253] perl-www-opensearch: provide Test-Simple module)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Sep 2017 10:46:02 +0000

Your bug report

#28253: perl-www-opensearch: provide Test-Simple module

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28253: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28253
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#28253] perl-www-opensearch: provide Test-Simple module
From: Marius Bakke <[email-masked]>
To: ng0 <[email-masked]>, [email-masked]
Date: Sat, 02 Sep 2017 12:45:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

ng0 <[email-masked]> writes:

> Updated patch with a small comment grammar fix.
>
> Purpose of this patch: to add a dependency which was
> previously unknown and had to be figured out by the
> person who would try to fix the tests. So to go from
> "nothing, uh what do we need here?" to
> "hey, we have the test dependency" is an improvement
> and not just a "work in progress" one-liner.

Right.  I don't think adding dependencies that does not change anything
with the package is very useful.  A comment stating that this dependency
would be needed to enable tests would do the same purpose without
changing the derivation.  But, it would take any packager about 20
seconds to find that Test::Simple is needed, so it's kind of "stating
the obvious".

Anyway I tried building this package with tests enabled and just kept
adding the modules it could not find as native-inputs until it
succeeded.  So I pushed a superset of this patch as
3fe666aa29e72a9fbb1e267eebcd7d197ec802f3.

Subject: perl-www-opensearch: provide Test-Simple module
From: ng0 <[email-masked]>
To: [email-masked]
Date: Sun, 27 Aug 2017 18:28:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This was supposed to fix the tests, but it doesn't
so someone has to fix the large number of failing tests.

Someone with perl test-simple knowledge or time to
read into it.
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org
From 8835552a2ade6f598570fdc412a38cca88a5d441 Mon Sep 17 00:00:00 2001
From: ng0 <[email-masked]>
Date: Sun, 27 Aug 2017 18:18:24 +0000
Subject: [PATCH] gnu: perl-www-opensearch: Provide Test-Simple.

* gnu/packages/web.scm (perl-www-opensearch)[native-inputs]: Add 'perl-test-simple'.
---
 gnu/packages/web.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 253fd8b01..14ccf67df 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -3381,9 +3381,10 @@ web browsing, used for automating interaction with websites.")
                 "1yxplx1q1qk2fvnzqrbk01lz26fy1lyhay51a3ky7q3jgh9p01rb"))))
     (build-system perl-build-system)
     (arguments
-     `(#:tests? #f)) ; Tests require further modules to be packaged
+     `(#:tests? #f)) ; A large number of tests is failing.
     (native-inputs
-     `(("perl-module-install" ,perl-module-install)))
+     `(("perl-module-install" ,perl-module-install)
+       ("perl-test-simple" ,perl-test-simple)))
     (inputs
      `(("perl-data-page" ,perl-data-page)
        ("perl-libwww" ,perl-libwww)
-- 
2.14.1